Ignora e passa al contenuto principale

Questo browser non è più supportato.

Esegui l'aggiornamento a Microsoft Edge per sfruttare i vantaggi di funzionalità più recenti, aggiornamenti della sicurezza e supporto tecnico.

Scarica Microsoft Edge Scopri di più su Internet Explorer e Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Schedules

Create or update a schedule

PUT /schedules/{id}

Creates a new schedule or updates an existing schedule with the supplied definition.

Parametri di query

api-version string necessario

The API version to use for this operation.

Parametri del percorso

id string necessario

Identifier of the schedule.

Parametri di intestazione

Foundry-Features enum necessario

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

Schedules=V1Preview

Corpo della richiesta

The resource instance.

Content-Type: application/json
id string necessario

Identifier of the schedule.

displayName string

Name of the schedule.

description string

Description of the schedule.

enabled boolean necessario

Enabled status of the schedule.

provisioningStatus string | enum

Schedule provisioning status.

Uno qualsiasi dei seguenti:
string
enum
CreatingUpdatingDeletingSucceededFailed
trigger Cron | Recurrence | OneTime necessario

Base model for Trigger of the schedule.

Uno dei seguenti:
Cron CronTrigger

Cron based trigger.

type enum necessario
Cron
expression string necessario

Cron expression that defines the schedule frequency.

timeZone string

Time zone for the cron schedule. Defaults to UTC.

startTime string

Start time for the cron schedule in ISO 8601 format.

endTime string

End time for the cron schedule in ISO 8601 format.

Recurrence RecurrenceTrigger

Recurrence based trigger.

type enum necessario

Type of the trigger.

Recurrence
startTime string

Start time for the recurrence schedule in ISO 8601 format.

endTime string

End time for the recurrence schedule in ISO 8601 format.

timeZone string

Time zone for the recurrence schedule. Defaults to UTC.

interval integer necessario

Interval for the recurrence schedule.

schedule Hourly | Daily | Weekly | Monthly necessario

Recurrence schedule model.

Uno dei seguenti:
Hourly HourlyRecurrenceSchedule

Hourly recurrence schedule.

type enum necessario
Hourly
Daily DailyRecurrenceSchedule

Daily recurrence schedule.

type enum necessario

Daily recurrence type.

Daily
hours integer[] necessario

Hours for the recurrence schedule.

Weekly WeeklyRecurrenceSchedule

Weekly recurrence schedule.

type enum necessario

Weekly recurrence type.

Weekly
daysOfWeek DayOfWeek[] necessario

Days of the week for the recurrence schedule.

Monthly MonthlyRecurrenceSchedule

Monthly recurrence schedule.

type enum necessario

Monthly recurrence type.

Monthly
daysOfMonth integer[] necessario

Days of the month for the recurrence schedule.

OneTime OneTimeTrigger

One-time trigger.

type enum necessario
OneTime
triggerAt string necessario

Date and time for the one-time trigger in ISO 8601 format.

timeZone string

Time zone for the one-time trigger. Defaults to UTC.

task Evaluation | Insight necessario

Schedule task model.

Uno dei seguenti:
Evaluation EvaluationScheduleTask

Evaluation task for the schedule.

type enum necessario
Evaluation
evalId string necessario

Identifier of the evaluation group.

evalRun object necessario

The evaluation run payload.

Insight InsightScheduleTask

Insight task for the schedule.

type enum necessario
Insight
insight Insight necessario

The response body for cluster insights.

id string necessario

The unique identifier for the insights report.

metadata InsightsMetadata necessario

Metadata about the insights.

createdAt string necessario

The timestamp when the insights were created.

completedAt string

The timestamp when the insights were completed.

state enum | string necessario

Enum describing allowed operation states.

Uno qualsiasi dei seguenti:
enum
NotStartedRunningSucceededFailedCanceled
string
displayName string necessario

User friendly display name for the insight.

request EvaluationRunClusterInsight | AgentClusterInsight | EvaluationComparison necessario

The request of the insights report.

Uno dei seguenti:
EvaluationRunClusterInsight EvaluationRunClusterInsightRequest

Insights on set of Evaluation Results

type enum necessario

The type of insights request.

EvaluationRunClusterInsight
evalId string necessario

Evaluation Id for the insights.

runIds string[] necessario

List of evaluation run IDs for the insights.

modelConfiguration InsightModelConfiguration

Configuration of the model used in the insight generation.

modelDeploymentName string necessario

The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.

AgentClusterInsight AgentClusterInsightRequest

Insights on set of Agent Evaluation Results

type enum necessario

The type of request.

AgentClusterInsight
agentName string necessario

Identifier for the agent.

modelConfiguration InsightModelConfiguration

Configuration of the model used in the insight generation.

modelDeploymentName string necessario

The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.

EvaluationComparison EvaluationComparisonInsightRequest

Evaluation Comparison Request

type enum necessario

The type of request.

EvaluationComparison
evalId string necessario

Identifier for the evaluation.

baselineRunId string necessario

The baseline run ID for comparison.

treatmentRunIds string[] necessario

List of treatment run IDs for comparison.

result EvaluationComparison | EvaluationRunClusterInsight | AgentClusterInsight

The result of the insights.

Uno dei seguenti:
EvaluationComparison EvaluationComparisonInsightResult

Insights from the evaluation comparison.

type enum necessario

The type of insights result.

EvaluationComparison
comparisons EvalRunResultComparison[] necessario

Comparison results for each treatment run against the baseline.

method string necessario

The statistical method used for comparison.

EvaluationRunClusterInsight EvaluationRunClusterInsightResult

Insights from the evaluation run cluster analysis.

type enum necessario

The type of insights result.

EvaluationRunClusterInsight
clusterInsight ClusterInsightResult necessario

Insights from the cluster analysis.

summary InsightSummary necessario

Summary of the error cluster analysis.

sampleCount integer necessario

Total number of samples analyzed.

uniqueSubclusterCount integer necessario

Total number of unique subcluster labels.

uniqueClusterCount integer necessario

Total number of unique clusters.

method string necessario

Method used for clustering.

usage ClusterTokenUsage necessario

Token usage for cluster analysis

inputTokenUsage integer necessario

input token usage

outputTokenUsage integer necessario

output token usage

totalTokenUsage integer necessario

total token usage

clusters InsightCluster[] necessario

List of clusters identified in the insights.

coordinates object

Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.

[key: string] ChartCoordinate

Coordinates for the analysis chart.

x integer necessario

X-axis coordinate.

y integer necessario

Y-axis coordinate.

size integer necessario

Size of the chart element.

AgentClusterInsight AgentClusterInsightResult

Insights from the agent cluster analysis.

type enum necessario

The type of insights result.

AgentClusterInsight
clusterInsight ClusterInsightResult necessario

Insights from the cluster analysis.

summary InsightSummary necessario

Summary of the error cluster analysis.

sampleCount integer necessario

Total number of samples analyzed.

uniqueSubclusterCount integer necessario

Total number of unique subcluster labels.

uniqueClusterCount integer necessario

Total number of unique clusters.

method string necessario

Method used for clustering.

usage ClusterTokenUsage necessario

Token usage for cluster analysis

inputTokenUsage integer necessario

input token usage

outputTokenUsage integer necessario

output token usage

totalTokenUsage integer necessario

total token usage

clusters InsightCluster[] necessario

List of clusters identified in the insights.

coordinates object

Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.

[key: string] ChartCoordinate

Coordinates for the analysis chart.

x integer necessario

X-axis coordinate.

y integer necessario

Y-axis coordinate.

size integer necessario

Size of the chart element.

tags object

Schedule's tags. Unlike properties, tags are fully mutable.

[key: string] string
properties object

Schedule's properties. Unlike tags, properties are add-only. Once added, a property cannot be removed.

[key: string] string
systemData object necessario

System metadata for the resource.

[key: string] string

Risposte

The request has succeeded.

Corpo

Content-Type: application/json
id string necessario

Identifier of the schedule.

displayName string

Name of the schedule.

description string

Description of the schedule.

enabled boolean necessario

Enabled status of the schedule.

provisioningStatus string | enum

Schedule provisioning status.

Uno qualsiasi dei seguenti:
string
enum
CreatingUpdatingDeletingSucceededFailed
trigger Cron | Recurrence | OneTime necessario

Base model for Trigger of the schedule.

Uno dei seguenti:
Cron CronTrigger

Cron based trigger.

type enum necessario
Cron
expression string necessario

Cron expression that defines the schedule frequency.

timeZone string

Time zone for the cron schedule. Defaults to UTC.

startTime string

Start time for the cron schedule in ISO 8601 format.

endTime string

End time for the cron schedule in ISO 8601 format.

Recurrence RecurrenceTrigger

Recurrence based trigger.

type enum necessario

Type of the trigger.

Recurrence
startTime string

Start time for the recurrence schedule in ISO 8601 format.

endTime string

End time for the recurrence schedule in ISO 8601 format.

timeZone string

Time zone for the recurrence schedule. Defaults to UTC.

interval integer necessario

Interval for the recurrence schedule.

schedule Hourly | Daily | Weekly | Monthly necessario

Recurrence schedule model.

Uno dei seguenti:
Hourly HourlyRecurrenceSchedule

Hourly recurrence schedule.

type enum necessario
Hourly
Daily DailyRecurrenceSchedule

Daily recurrence schedule.

type enum necessario

Daily recurrence type.

Daily
hours integer[] necessario

Hours for the recurrence schedule.

Weekly WeeklyRecurrenceSchedule

Weekly recurrence schedule.

type enum necessario

Weekly recurrence type.

Weekly
daysOfWeek DayOfWeek[] necessario

Days of the week for the recurrence schedule.

Monthly MonthlyRecurrenceSchedule

Monthly recurrence schedule.

type enum necessario

Monthly recurrence type.

Monthly
daysOfMonth integer[] necessario

Days of the month for the recurrence schedule.

OneTime OneTimeTrigger

One-time trigger.

type enum necessario
OneTime
triggerAt string necessario

Date and time for the one-time trigger in ISO 8601 format.

timeZone string

Time zone for the one-time trigger. Defaults to UTC.

task Evaluation | Insight necessario

Schedule task model.

Uno dei seguenti:
Evaluation EvaluationScheduleTask

Evaluation task for the schedule.

type enum necessario
Evaluation
evalId string necessario

Identifier of the evaluation group.

evalRun object necessario

The evaluation run payload.

Insight InsightScheduleTask

Insight task for the schedule.

type enum necessario
Insight
insight Insight necessario

The response body for cluster insights.

id string necessario

The unique identifier for the insights report.

metadata InsightsMetadata necessario

Metadata about the insights.

createdAt string necessario

The timestamp when the insights were created.

completedAt string

The timestamp when the insights were completed.

state enum | string necessario

Enum describing allowed operation states.

Uno qualsiasi dei seguenti:
enum
NotStartedRunningSucceededFailedCanceled
string
displayName string necessario

User friendly display name for the insight.

request EvaluationRunClusterInsight | AgentClusterInsight | EvaluationComparison necessario

The request of the insights report.

Uno dei seguenti:
EvaluationRunClusterInsight EvaluationRunClusterInsightRequest

Insights on set of Evaluation Results

type enum necessario

The type of insights request.

EvaluationRunClusterInsight
evalId string necessario

Evaluation Id for the insights.

runIds string[] necessario

List of evaluation run IDs for the insights.

modelConfiguration InsightModelConfiguration

Configuration of the model used in the insight generation.

modelDeploymentName string necessario

The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.

AgentClusterInsight AgentClusterInsightRequest

Insights on set of Agent Evaluation Results

type enum necessario

The type of request.

AgentClusterInsight
agentName string necessario

Identifier for the agent.

modelConfiguration InsightModelConfiguration

Configuration of the model used in the insight generation.

modelDeploymentName string necessario

The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.

EvaluationComparison EvaluationComparisonInsightRequest

Evaluation Comparison Request

type enum necessario

The type of request.

EvaluationComparison
evalId string necessario

Identifier for the evaluation.

baselineRunId string necessario

The baseline run ID for comparison.

treatmentRunIds string[] necessario

List of treatment run IDs for comparison.

result EvaluationComparison | EvaluationRunClusterInsight | AgentClusterInsight

The result of the insights.

Uno dei seguenti:
EvaluationComparison EvaluationComparisonInsightResult

Insights from the evaluation comparison.

type enum necessario

The type of insights result.

EvaluationComparison
comparisons EvalRunResultComparison[] necessario

Comparison results for each treatment run against the baseline.

method string necessario

The statistical method used for comparison.

EvaluationRunClusterInsight EvaluationRunClusterInsightResult

Insights from the evaluation run cluster analysis.

type enum necessario

The type of insights result.

EvaluationRunClusterInsight
clusterInsight ClusterInsightResult necessario

Insights from the cluster analysis.

summary InsightSummary necessario

Summary of the error cluster analysis.

sampleCount integer necessario

Total number of samples analyzed.

uniqueSubclusterCount integer necessario

Total number of unique subcluster labels.

uniqueClusterCount integer necessario

Total number of unique clusters.

method string necessario

Method used for clustering.

usage ClusterTokenUsage necessario

Token usage for cluster analysis

inputTokenUsage integer necessario

input token usage

outputTokenUsage integer necessario

output token usage

totalTokenUsage integer necessario

total token usage

clusters InsightCluster[] necessario

List of clusters identified in the insights.

coordinates object

Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.

[key: string] ChartCoordinate

Coordinates for the analysis chart.

x integer necessario

X-axis coordinate.

y integer necessario

Y-axis coordinate.

size integer necessario

Size of the chart element.

AgentClusterInsight AgentClusterInsightResult

Insights from the agent cluster analysis.

type enum necessario

The type of insights result.

AgentClusterInsight
clusterInsight ClusterInsightResult necessario

Insights from the cluster analysis.

summary InsightSummary necessario

Summary of the error cluster analysis.

sampleCount integer necessario

Total number of samples analyzed.

uniqueSubclusterCount integer necessario

Total number of unique subcluster labels.

uniqueClusterCount integer necessario

Total number of unique clusters.

method string necessario

Method used for clustering.

usage ClusterTokenUsage necessario

Token usage for cluster analysis

inputTokenUsage integer necessario

input token usage

outputTokenUsage integer necessario

output token usage

totalTokenUsage integer necessario

total token usage

clusters InsightCluster[] necessario

List of clusters identified in the insights.

coordinates object

Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.

[key: string] ChartCoordinate

Coordinates for the analysis chart.

x integer necessario

X-axis coordinate.

y integer necessario

Y-axis coordinate.

size integer necessario

Size of the chart element.

tags object

Schedule's tags. Unlike properties, tags are fully mutable.

[key: string] string
properties object

Schedule's properties. Unlike tags, properties are add-only. Once added, a property cannot be removed.

[key: string] string
systemData object necessario

System metadata for the resource.

[key: string] string

The request has succeeded and a new resource has been created as a result.

Corpo

Content-Type: application/json
id string necessario

Identifier of the schedule.

displayName string

Name of the schedule.

description string

Description of the schedule.

enabled boolean necessario

Enabled status of the schedule.

provisioningStatus string | enum

Schedule provisioning status.

Uno qualsiasi dei seguenti:
string
enum
CreatingUpdatingDeletingSucceededFailed
trigger Cron | Recurrence | OneTime necessario

Base model for Trigger of the schedule.

Uno dei seguenti:
Cron CronTrigger

Cron based trigger.

type enum necessario
Cron
expression string necessario

Cron expression that defines the schedule frequency.

timeZone string

Time zone for the cron schedule. Defaults to UTC.

startTime string

Start time for the cron schedule in ISO 8601 format.

endTime string

End time for the cron schedule in ISO 8601 format.

Recurrence RecurrenceTrigger

Recurrence based trigger.

type enum necessario

Type of the trigger.

Recurrence
startTime string

Start time for the recurrence schedule in ISO 8601 format.

endTime string

End time for the recurrence schedule in ISO 8601 format.

timeZone string

Time zone for the recurrence schedule. Defaults to UTC.

interval integer necessario

Interval for the recurrence schedule.

schedule Hourly | Daily | Weekly | Monthly necessario

Recurrence schedule model.

Uno dei seguenti:
Hourly HourlyRecurrenceSchedule

Hourly recurrence schedule.

type enum necessario
Hourly
Daily DailyRecurrenceSchedule

Daily recurrence schedule.

type enum necessario

Daily recurrence type.

Daily
hours integer[] necessario

Hours for the recurrence schedule.

Weekly WeeklyRecurrenceSchedule

Weekly recurrence schedule.

type enum necessario

Weekly recurrence type.

Weekly
daysOfWeek DayOfWeek[] necessario

Days of the week for the recurrence schedule.

Monthly MonthlyRecurrenceSchedule

Monthly recurrence schedule.

type enum necessario

Monthly recurrence type.

Monthly
daysOfMonth integer[] necessario

Days of the month for the recurrence schedule.

OneTime OneTimeTrigger

One-time trigger.

type enum necessario
OneTime
triggerAt string necessario

Date and time for the one-time trigger in ISO 8601 format.

timeZone string

Time zone for the one-time trigger. Defaults to UTC.

task Evaluation | Insight necessario

Schedule task model.

Uno dei seguenti:
Evaluation EvaluationScheduleTask

Evaluation task for the schedule.

type enum necessario
Evaluation
evalId string necessario

Identifier of the evaluation group.

evalRun object necessario

The evaluation run payload.

Insight InsightScheduleTask

Insight task for the schedule.

type enum necessario
Insight
insight Insight necessario

The response body for cluster insights.

id string necessario

The unique identifier for the insights report.

metadata InsightsMetadata necessario

Metadata about the insights.

createdAt string necessario

The timestamp when the insights were created.

completedAt string

The timestamp when the insights were completed.

state enum | string necessario

Enum describing allowed operation states.

Uno qualsiasi dei seguenti:
enum
NotStartedRunningSucceededFailedCanceled
string
displayName string necessario

User friendly display name for the insight.

request EvaluationRunClusterInsight | AgentClusterInsight | EvaluationComparison necessario

The request of the insights report.

Uno dei seguenti:
EvaluationRunClusterInsight EvaluationRunClusterInsightRequest

Insights on set of Evaluation Results

type enum necessario

The type of insights request.

EvaluationRunClusterInsight
evalId string necessario

Evaluation Id for the insights.

runIds string[] necessario

List of evaluation run IDs for the insights.

modelConfiguration InsightModelConfiguration

Configuration of the model used in the insight generation.

modelDeploymentName string necessario

The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.

AgentClusterInsight AgentClusterInsightRequest

Insights on set of Agent Evaluation Results

type enum necessario

The type of request.

AgentClusterInsight
agentName string necessario

Identifier for the agent.

modelConfiguration InsightModelConfiguration

Configuration of the model used in the insight generation.

modelDeploymentName string necessario

The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.

EvaluationComparison EvaluationComparisonInsightRequest

Evaluation Comparison Request

type enum necessario

The type of request.

EvaluationComparison
evalId string necessario

Identifier for the evaluation.

baselineRunId string necessario

The baseline run ID for comparison.

treatmentRunIds string[] necessario

List of treatment run IDs for comparison.

result EvaluationComparison | EvaluationRunClusterInsight | AgentClusterInsight

The result of the insights.

Uno dei seguenti:
EvaluationComparison EvaluationComparisonInsightResult

Insights from the evaluation comparison.

type enum necessario

The type of insights result.

EvaluationComparison
comparisons EvalRunResultComparison[] necessario

Comparison results for each treatment run against the baseline.

method string necessario

The statistical method used for comparison.

EvaluationRunClusterInsight EvaluationRunClusterInsightResult

Insights from the evaluation run cluster analysis.

type enum necessario

The type of insights result.

EvaluationRunClusterInsight
clusterInsight ClusterInsightResult necessario

Insights from the cluster analysis.

summary InsightSummary necessario

Summary of the error cluster analysis.

sampleCount integer necessario

Total number of samples analyzed.

uniqueSubclusterCount integer necessario

Total number of unique subcluster labels.

uniqueClusterCount integer necessario

Total number of unique clusters.

method string necessario

Method used for clustering.

usage ClusterTokenUsage necessario

Token usage for cluster analysis

inputTokenUsage integer necessario

input token usage

outputTokenUsage integer necessario

output token usage

totalTokenUsage integer necessario

total token usage

clusters InsightCluster[] necessario

List of clusters identified in the insights.

coordinates object

Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.

[key: string] ChartCoordinate

Coordinates for the analysis chart.

x integer necessario

X-axis coordinate.

y integer necessario

Y-axis coordinate.

size integer necessario

Size of the chart element.

AgentClusterInsight AgentClusterInsightResult

Insights from the agent cluster analysis.

type enum necessario

The type of insights result.

AgentClusterInsight
clusterInsight ClusterInsightResult necessario

Insights from the cluster analysis.

summary InsightSummary necessario

Summary of the error cluster analysis.

sampleCount integer necessario

Total number of samples analyzed.

uniqueSubclusterCount integer necessario

Total number of unique subcluster labels.

uniqueClusterCount integer necessario

Total number of unique clusters.

method string necessario

Method used for clustering.

usage ClusterTokenUsage necessario

Token usage for cluster analysis

inputTokenUsage integer necessario

input token usage

outputTokenUsage integer necessario

output token usage

totalTokenUsage integer necessario

total token usage

clusters InsightCluster[] necessario

List of clusters identified in the insights.

coordinates object

Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.

[key: string] ChartCoordinate

Coordinates for the analysis chart.

x integer necessario

X-axis coordinate.

y integer necessario

Y-axis coordinate.

size integer necessario

Size of the chart element.

tags object

Schedule's tags. Unlike properties, tags are fully mutable.

[key: string] string
properties object

Schedule's properties. Unlike tags, properties are add-only. Once added, a property cannot be removed.

[key: string] string
systemData object necessario

System metadata for the resource.

[key: string] string

Client error

Intestazioni

x-ms-error-code string

String error code indicating what went wrong.

Corpo

Content-Type: application/json
error Azure.Core.Foundations.Error necessario

The error object.

code string necessario

One of a server-defined set of error codes.

message string necessario

A human-readable representation of the error.

target string

The target of the error.

details Azure.Core.Foundations.Error[]

An array of details about specific errors that led to this reported error.

innererror Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

code string

One of a server-defined set of error codes.

innererror Azure.Core.Foundations.InnerError

Server error

Intestazioni

x-ms-error-code string

String error code indicating what went wrong.

Corpo

Content-Type: application/json
error Azure.Core.Foundations.Error necessario

The error object.

code string necessario

One of a server-defined set of error codes.

message string necessario

A human-readable representation of the error.

target string

The target of the error.

details Azure.Core.Foundations.Error[]

An array of details about specific errors that led to this reported error.

innererror Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

code string

One of a server-defined set of error codes.

innererror Azure.Core.Foundations.InnerError

Richiedi

PUT /schedules/{id} HTTP/1.1

Response

Status: 200
Content-Type: application/json
Status: 201
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
it-it
Scelte sulla privacy
  • Dichiarazione di non responsabilità relativa all'intelligenza artificiale
  • Versioni precedenti
  • Blog
  • Collabora
  • Riservatezza
  • Privacy dei dati sanitari dei consumatori
  • Condizioni per l'utilizzo
  • Accessibilità
  • Marchi
  • © Microsoft 2026